Bug 306700 - Command line option --msg does not work
Summary: Command line option --msg does not work
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 4.9.1
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-12 19:38 UTC by Stefan Gruber
Modified: 2012-09-13 10:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gruber 2012-09-12 19:38:24 UTC
KMail's command line Option "--msg" should open a composer window reading a predefined content for the body from a file.

If I got an textfile "test.txt" with e.g. two lines both containing "Blahblah" I want to start it in terminal like:

kmail -s Test --msg test.txt foo@bar

The composer window opens, but there is no text in the body part unexpectedly.
Comment 1 Laurent Montel 2012-09-13 10:48:47 UTC
Git commit dec99ea6dc9816e4e6067799024d8c4641d6f5a8 by Montel Laurent.
Committed on 13/09/2012 at 12:42.
Pushed by mlaurent into branch 'KDE/4.9'.

Fix Bug 306700 - Command line option --msg does not work

FIXED-IN: 4.9.2

M  +4    -2    kmail/kmkernel.cpp
M  +3    -0    kmail/main.cpp

http://commits.kde.org/kdepim/dec99ea6dc9816e4e6067799024d8c4641d6f5a8